API referenceServer
Each feature's state, the templates, and a plan with every feature filled in, using what the server already has where it fits.
GET
/api/v1/servers/{guild}/setupAuthorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/servers/string/setup"{ "done": true, "features": [ { "feature": "staff", "state": "off", "note": "string" } ], "templates": [ { "key": "string", "name": "string", "description": "string", "features": [ "staff" ], "forums": [ "string" ] } ], "plan": { "staff": { "roles": [ { "kind": "manager", "place": { "id": "string", "name": "string" }, "abilities": [ "timeout" ], "extras": [ "manage_roles" ], "members": [ "string" ] } ] }, "verify": { "role": { "id": "string", "name": "string" }, "channel": { "id": "string", "name": "string" }, "gate": true, "panelText": "string", "buttonText": "string", "welcomeText": "string" }, "logs": { "category": { "id": "string", "name": "string" }, "messagesChannel": { "id": "string", "name": "string" }, "membersChannel": { "id": "string", "name": "string" }, "moderationChannel": { "id": "string", "name": "string" }, "serverChannel": { "id": "string", "name": "string" }, "ignoredChannels": [ "string" ], "ignoreBots": true }, "moderation": { "queueChannel": { "id": "string", "name": "string" }, "dmMembers": true, "deleteOnBan": 0, "requireReason": true, "ladderWindow": 3600, "appeals": true, "appealCooldown": 0, "presets": [ { "label": "string", "reason": "string", "action": "warn", "duration": 0 } ], "ladder": [ { "action": "warn", "duration": 0 } ] }, "tickets": { "channel": { "id": "string", "name": "string" }, "panelText": "string", "welcomeText": "string", "remindAfter": 0, "closeAfter": 0, "blacklist": [ "string" ], "types": [ { "id": "string", "name": "string", "emoji": "string", "description": "string", "oneOpen": true, "staffRoles": [ "string" ], "questions": [ { "label": "string", "placeholder": "string", "long": true, "required": true } ] } ] }, "forums": [ { "kind": "string", "place": { "id": "string", "name": "string" }, "statuses": [ { "name": "string", "emoji": "string", "reply": "string", "lock": true, "archiveAfter": 0 } ] } ], "packs": true, "antinuke": { "strict": true, "trusted": [ "string" ] } }, "forumKinds": [ { "key": "string", "name": "string", "description": "string", "place": { "id": "string", "name": "string" }, "statuses": [ { "name": "string", "emoji": "string", "reply": "string", "lock": true, "archiveAfter": 0 } ] } ], "candidates": { "property1": [ { "id": "string", "why": "string" } ], "property2": [ { "id": "string", "why": "string" } ] }}